# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "helper"

require "gapic/grpc/service_stub"

require "google/area120/tables/v1alpha1/tables_service"

class ::Google::Area120::Tables::V1alpha1::TablesService::ClientPathsTest < Minitest::Test
  def test_row_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Area120::Tables::V1alpha1::TablesService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.row_path table: "value0", row: "value1"
      assert_equal "tables/value0/rows/value1", path
    end
  end

  def test_table_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Area120::Tables::V1alpha1::TablesService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.table_path table: "value0"
      assert_equal "tables/value0", path
    end
  end

  def test_workspace_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Area120::Tables::V1alpha1::TablesService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.workspace_path workspace: "value0"
      assert_equal "workspaces/value0", path
    end
  end
end
