# frozen_string_literal: true

# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!

require "helper"

require "gapic/grpc/service_stub"

require "google/cloud/api_gateway/v1/api_gateway_service"

class ::Google::Cloud::ApiGateway::V1::ApiGatewayService::ClientPathsTest < Minitest::Test
  def test_api_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.api_path project: "value0", api: "value1"
      assert_equal "projects/value0/locations/global/apis/value1", path
    end
  end

  def test_api_config_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.api_config_path project: "value0", api: "value1", api_config: "value2"
      assert_equal "projects/value0/locations/global/apis/value1/configs/value2", path
    end
  end

  def test_gateway_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.gateway_path project: "value0", location: "value1", gateway: "value2"
      assert_equal "projects/value0/locations/value1/gateways/value2", path
    end
  end

  def test_location_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.location_path project: "value0", location: "value1"
      assert_equal "projects/value0/locations/value1", path
    end
  end

  def test_managed_service_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.managed_service_path service: "value0"
      assert_equal "services/value0", path
    end
  end

  def test_service_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.service_path service: "value0", config: "value1"
      assert_equal "services/value0/configs/value1", path
    end
  end

  def test_service_account_path
    grpc_channel = ::GRPC::Core::Channel.new "localhost:8888", nil, :this_channel_is_insecure
    ::Gapic::ServiceStub.stub :new, nil do
      client = ::Google::Cloud::ApiGateway::V1::ApiGatewayService::Client.new do |config|
        config.credentials = grpc_channel
      end

      path = client.service_account_path project: "value0", service_account: "value1"
      assert_equal "projects/value0/serviceAccounts/value1", path
    end
  end
end
